ROCCATKONECONTROL(1)

NAME
roccatkonecontrol - Ein Hilfsprogramm um die erweiterten Funktionen der Kone zu nutzen.

SYNTAX
roccatkonecontrol [ -cfghpv ] [ -a ] [ -l NUMMER ] [ -r DATEINAME ] [ -s NUMMER ] [ -w DATEINAME ] [ --activate-profile=NUMMER ] [ --actual-cpi ] [ --actual-profile ] [ --calibrate ] [ --help ] [ --load=NUMMER ] [ --path ] [ --read-firmware ] [ --read-rmp=DATEINAME ] [ --read-weight ] [ --save=NUMMER ] [ --version ] [ --write-rmp=DATEINAME ]

BESCHREIBUNG
Diese Konsolenanwendung ermöglicht es die erweiterten Funktionen der Kone zu nutzen.

OPTIONEN

-h, --help
    Zeige die Hilfeliste.

-a, --activate-profile=NUMMER
    Aktiviert das angegebene Profil. Diese Aktion setzt das startup-Profil der Kone. Das heisst dieses Profil ist aktiv wenn die Kone gestartet wird.

--actual-cpi
    Gibt die aktuelle CPI Einstellung aus.

--actual-profile
    Gibt die Nummer des aktiven Profils aus.

-c, --calibrate
    Kalibriere die Kone. Die Anwendung erbittet eine Bestätigung des Nutzers.

-f, --read-firmware
    Gibt die Firmwareversion der Kone aus.

-g, --read-weight
    Gibt das Gewicht des eingesetzten Fast-Clip-Weight der Kone aus.

-l, --load=NUMMER
    Lädt das Profil aus der Maus, sowie das dazugehörige hinterlegte Profil. Sollten diese sich unterscheiden wird eine Warnung ausgegeben und das Mausprofil weiterverwendet.

-p, --path
    Liefert den sysfs-Pfad zurück.

-r, --read-rmp=DATEINAME
    Lies eine rmp-Datei in den Speicher.

-s, --save=NUMMER
    Speichert das Profil aus dem Speicher in der Maus und im hinterlegten Profil.

-v, --version
    Zeige die Programmversion.

-w, --write-rmp=DATEINAME
    Schreibe das im Speicher enthaltene Profil als rmp-Datei.

BEISPIELE

roccatkonecontrol -r profile.rmp -s 1
    Liest das Profil aus der Datei profile.rmp und speichert das Ergebnis als Profil Nummer 1 in der Maus, sowie im hinterlegten Profil.

AUTOR
Stefan Achatz <erazor_de@users.sourceforge.net>